// pages/questions/index.js
import { getQuestionList } from "../../service/user";
import { alertInfo } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    questions: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getList();
  },
  async getList() {
    const { page, questions } = this.data;
    const { code, data, message, total } = await getQuestionList(page)
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    let next = true;
    if (total <= page / 20) {
      next = false;
    }
    this.setData({
      questions: [...questions, ...data],
      next,
      page: next ? page + 1 : page
    })
  },
  
  onReachBottom() {
    this.getList();
  },
})